diff --git a/configs/axm_defconfig b/configs/axm_defconfig
index 3373e6291eaf..c4ef342fa181 100644
--- a/configs/axm_defconfig
+++ b/configs/axm_defconfig
@@ -83,6 +83,7 @@ CONFIG_SYS_NAND_U_BOOT_OFFS=0x20000
 CONFIG_DM_SPI_FLASH=y
 CONFIG_SPI_FLASH_STMICRO=y
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_PINCTRL=y
 CONFIG_PINCTRL_AT91=y
 CONFIG_SPECIFY_CONSOLE_INDEX=y
diff --git a/configs/corvus_defconfig b/configs/corvus_defconfig
index c7a59c75cc19..3dd55c08bb15 100644
--- a/configs/corvus_defconfig
+++ b/configs/corvus_defconfig
@@ -75,6 +75,7 @@ CONFIG_SYS_NAND_OOBSIZE=0x40
 CONFIG_SYS_NAND_U_BOOT_LOCATIONS=y
 CONFIG_SYS_NAND_U_BOOT_OFFS=0x20000
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_ATMEL_USART=y
 CONFIG_USB=y
 CONFIG_USB_EHCI_HCD=y
diff --git a/configs/devkit3250_defconfig b/configs/devkit3250_defconfig
index 2a24e01b08c0..df8d0d15704b 100644
--- a/configs/devkit3250_defconfig
+++ b/configs/devkit3250_defconfig
@@ -70,6 +70,7 @@ CONFIG_PHYLIB=y
 CONFIG_PHY_ADDR_ENABLE=y
 CONFIG_PHY_ADDR=31
 CONFIG_PHY_SMSC=y
+CONFIG_RMII=y
 CONFIG_SPECIFY_CONSOLE_INDEX=y
 CONFIG_CONS_INDEX=5
 CONFIG_SYS_NS16550=y
diff --git a/configs/ethernut5_defconfig b/configs/ethernut5_defconfig
index 339e8d147ac1..4a52228b923c 100644
--- a/configs/ethernut5_defconfig
+++ b/configs/ethernut5_defconfig
@@ -75,6 +75,7 @@ CONFIG_DM_SPI_FLASH=y
 CONFIG_SPI_FLASH_ATMEL=y
 CONFIG_SPI_FLASH_DATAFLASH=y
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_PINCTRL=y
 CONFIG_PINCTRL_AT91=y
 CONFIG_RTC_PCF8563=y
diff --git a/configs/gurnard_defconfig b/configs/gurnard_defconfig
index b90437f94c53..47678e6c5124 100644
--- a/configs/gurnard_defconfig
+++ b/configs/gurnard_defconfig
@@ -49,6 +49,7 @@ CONFIG_MTD_RAW_NAND=y
 CONFIG_NAND_ATMEL=y
 CONFIG_ATMEL_NAND_HWECC=y
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_ATMEL_USART=y
 CONFIG_TIMER=y
 CONFIG_ATMEL_PIT_TIMER=y
diff --git a/configs/meesc_dataflash_defconfig b/configs/meesc_dataflash_defconfig
index 5858a99abd21..54bea29032b2 100644
--- a/configs/meesc_dataflash_defconfig
+++ b/configs/meesc_dataflash_defconfig
@@ -42,6 +42,7 @@ CONFIG_DM_SPI_FLASH=y
 CONFIG_SPI_FLASH_ATMEL=y
 CONFIG_SPI_FLASH_DATAFLASH=y
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_PINCTRL=y
 CONFIG_PINCTRL_AT91=y
 CONFIG_DM_SERIAL=y
diff --git a/configs/meesc_defconfig b/configs/meesc_defconfig
index 9141bdfc749b..312c15f7deba 100644
--- a/configs/meesc_defconfig
+++ b/configs/meesc_defconfig
@@ -43,6 +43,7 @@ CONFIG_DM_SPI_FLASH=y
 CONFIG_SPI_FLASH_ATMEL=y
 CONFIG_SPI_FLASH_DATAFLASH=y
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_PINCTRL=y
 CONFIG_PINCTRL_AT91=y
 CONFIG_DM_SERIAL=y
diff --git a/configs/smartweb_defconfig b/configs/smartweb_defconfig
index ecd689f6bf46..6ff898893594 100644
--- a/configs/smartweb_defconfig
+++ b/configs/smartweb_defconfig
@@ -75,6 +75,7 @@ CONFIG_SYS_NAND_OOBSIZE=0x40
 CONFIG_SYS_NAND_U_BOOT_LOCATIONS=y
 CONFIG_SYS_NAND_U_BOOT_OFFS=0x20000
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_ATMEL_USART=y
 CONFIG_USB=y
 CONFIG_USB_GADGET=y
diff --git a/configs/snapper9260_defconfig b/configs/snapper9260_defconfig
index 33b2f14e12fd..76b51d9fd4b7 100644
--- a/configs/snapper9260_defconfig
+++ b/configs/snapper9260_defconfig
@@ -50,4 +50,5 @@ CONFIG_MTD_RAW_NAND=y
 # CONFIG_SYS_NAND_USE_FLASH_BBT is not set
 CONFIG_NAND_ATMEL=y
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_ATMEL_USART=y
diff --git a/configs/snapper9g20_defconfig b/configs/snapper9g20_defconfig
index eb345072f26a..c6eca225e27e 100644
--- a/configs/snapper9g20_defconfig
+++ b/configs/snapper9g20_defconfig
@@ -49,4 +49,5 @@ CONFIG_MTD_RAW_NAND=y
 # CONFIG_SYS_NAND_USE_FLASH_BBT is not set
 CONFIG_NAND_ATMEL=y
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_ATMEL_USART=y
diff --git a/configs/taurus_defconfig b/configs/taurus_defconfig
index e7b661776799..76f902b1fa5e 100644
--- a/configs/taurus_defconfig
+++ b/configs/taurus_defconfig
@@ -89,6 +89,7 @@ CONFIG_SYS_NAND_U_BOOT_OFFS=0x20000
 CONFIG_DM_SPI_FLASH=y
 CONFIG_SPI_FLASH_STMICRO=y
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_PINCTRL=y
 CONFIG_PINCTRL_AT91=y
 CONFIG_SPECIFY_CONSOLE_INDEX=y
diff --git a/configs/usb_a9263_dataflash_defconfig b/configs/usb_a9263_dataflash_defconfig
index e38313b9baf5..b609bbbb3e50 100644
--- a/configs/usb_a9263_dataflash_defconfig
+++ b/configs/usb_a9263_dataflash_defconfig
@@ -51,6 +51,7 @@ CONFIG_DM_SPI_FLASH=y
 CONFIG_SPI_FLASH_ATMEL=y
 CONFIG_SPI_FLASH_DATAFLASH=y
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_PINCTRL=y
 CONFIG_PINCTRL_AT91=y
 CONFIG_DM_SERIAL=y
diff --git a/configs/vinco_defconfig b/configs/vinco_defconfig
index 85e9f62227a2..2eb22829eeb7 100644
--- a/configs/vinco_defconfig
+++ b/configs/vinco_defconfig
@@ -45,6 +45,7 @@ CONFIG_SPI_FLASH_STMICRO=y
 CONFIG_PHY_SMSC=y
 CONFIG_ETH_DESIGNWARE=y
 CONFIG_MACB=y
+CONFIG_RMII=y
 CONFIG_ATMEL_USART=y
 CONFIG_USB=y
 CONFIG_USB_EHCI_HCD=y
diff --git a/drivers/net/Kconfig b/drivers/net/Kconfig
index 71e0cbafb412..d63c0a986a80 100644
--- a/drivers/net/Kconfig
+++ b/drivers/net/Kconfig
@@ -535,6 +535,11 @@ config MII
 	help
 	  Enable support of the Media-Independent Interface (MII)
 
+config RMII
+	bool "Enable RMII"
+	help
+	  Enable support of the Reduced Media-Independent Interface (MII)
+
 config PCNET
 	bool "AMD PCnet series Ethernet controller driver"
 	help
diff --git a/include/configs/corvus.h b/include/configs/corvus.h
index 66eb8e9302ba..18bb5547fa95 100644
--- a/include/configs/corvus.h
+++ b/include/configs/corvus.h
@@ -55,9 +55,6 @@
 #define CONFIG_SYS_NAND_READY_PIN		AT91_PIN_PC8
 #endif
 
-/* Ethernet */
-#define CONFIG_RMII
-
 /* DFU class support */
 #define DFU_MANIFEST_POLL_TIMEOUT	25000
 
diff --git a/include/configs/devkit3250.h b/include/configs/devkit3250.h
index ff5ce55a03f0..84098e753018 100644
--- a/include/configs/devkit3250.h
+++ b/include/configs/devkit3250.h
@@ -32,7 +32,6 @@
 /*
  * Ethernet
  */
-#define CONFIG_RMII
 #define CONFIG_LPC32XX_ETH
 
 /*
diff --git a/include/configs/ethernut5.h b/include/configs/ethernut5.h
index 860709a27708..3231f3cc0350 100644
--- a/include/configs/ethernut5.h
+++ b/include/configs/ethernut5.h
@@ -54,7 +54,6 @@
 /* JFFS2 */
 
 /* Ethernet */
-#define CONFIG_RMII
 #define CONFIG_PHY_ID			0
 #define CONFIG_MACB_SEARCH_PHY
 
diff --git a/include/configs/meesc.h b/include/configs/meesc.h
index fcc103cd29d9..fa4513b2b999 100644
--- a/include/configs/meesc.h
+++ b/include/configs/meesc.h
@@ -66,9 +66,6 @@
 # define CONFIG_SYS_NAND_READY_PIN		GPIO_PIN_PA(22)
 #endif
 
-/* Ethernet */
-#define CONFIG_RMII
-
 /* hw-controller addresses */
 #define CONFIG_ET1100_BASE		0x70000000
 
diff --git a/include/configs/smartweb.h b/include/configs/smartweb.h
index 7b6395581bf2..a0b353902e76 100644
--- a/include/configs/smartweb.h
+++ b/include/configs/smartweb.h
@@ -76,14 +76,6 @@
 #define CONFIG_USART_BASE		ATMEL_BASE_DBGU
 #define CONFIG_USART_ID			ATMEL_ID_SYS
 
-/*
- * Ethernet configuration
- *
- */
-#define CONFIG_RMII			/* use reduced MII inteface */
-
-/* BOOTP and DHCP options */
-
 #if !defined(CONFIG_SPL_BUILD)
 /* USB configuration */
 #define CONFIG_USB_ATMEL
diff --git a/include/configs/snapper9260.h b/include/configs/snapper9260.h
index ff670565ce07..2f0309f0ccde 100644
--- a/include/configs/snapper9260.h
+++ b/include/configs/snapper9260.h
@@ -38,7 +38,6 @@
 #define CONFIG_SYS_NAND_READY_PIN	AT91_PIN_PC13
 
 /* Ethernet */
-#define CONFIG_RMII
 #define CONFIG_TFTP_PORT
 
 /* USB */
diff --git a/include/configs/snapper9g45.h b/include/configs/snapper9g45.h
index 26a42c9b2d03..72611fe8503d 100644
--- a/include/configs/snapper9g45.h
+++ b/include/configs/snapper9g45.h
@@ -39,7 +39,6 @@
 #define CONFIG_SYS_NAND_READY_PIN	AT91_PIN_PC8
 
 /* Ethernet */
-#define CONFIG_RMII
 #define CONFIG_TFTP_PORT
 
 /* LCD */
diff --git a/include/configs/taurus.h b/include/configs/taurus.h
index 6fd60e5dde71..b0d06e7b5528 100644
--- a/include/configs/taurus.h
+++ b/include/configs/taurus.h
@@ -63,9 +63,6 @@
 #define CONFIG_SYS_NAND_READY_PIN	AT91_PIN_PC13
 #endif
 
-/* Ethernet */
-#define CONFIG_RMII
-
 /* USB */
 #if defined(CONFIG_BOARD_TAURUS)
 #define CONFIG_USB_ATMEL
diff --git a/include/configs/usb_a9263.h b/include/configs/usb_a9263.h
index f6a4a4cbe00d..2b6078a1cc9a 100644
--- a/include/configs/usb_a9263.h
+++ b/include/configs/usb_a9263.h
@@ -43,9 +43,6 @@
 #define CONFIG_SYS_NAND_READY_PIN		GPIO_PIN_PA(22)
 #endif
 
-/* Ethernet */
-#define CONFIG_RMII
-
 /* USB */
 #ifdef CONFIG_CMD_USB
 #define CONFIG_USB_ATMEL
diff --git a/include/configs/vinco.h b/include/configs/vinco.h
index a6511b34f52b..16c020982b39 100644
--- a/include/configs/vinco.h
+++ b/include/configs/vinco.h
@@ -49,7 +49,6 @@
 /* USB device */
 
 /* Ethernet Hardware */
-#define CONFIG_RMII
 #define CONFIG_MACB_SEARCH_PHY
 
 #ifdef CONFIG_SPI_BOOT